streamxform(1)

NAME
streamxform - Apply coordinate transformation to point coordinates from text stream.

SYNOPSIS
streamxform XformList

DESCRIPTION
An ASCII-format list of point coordinates is read from standard input and a user-provided sequence of coordinate transformations (each optionally inverted) is applied to them. The transformed points are then written to standard output.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Transformation Options

--affine-only
    Apply only the affine component of each transformation (or its inverse, if specified) in the given series, even if the actual transformation is nonrigid.

--inversion-tolerance <double>
    Numerical tolerance of B-spline inversion in mm. Smaller values will lead to more accurate inversion, but may increase failure rate. [Default: 1e-08]

  Output Options

--separator <string>
    Field separator - this string or character is used to separate x, y, and z coordinates from each other, and z from the remainder of every line. [Default: ]

--precision <integer>
    Floating point precision for output file. [Default: 9]

  Image Space Options

--source-image <string>
    Set source image of the transformation (i.e., the image that the transformation maps points FROM) to correct for differences in orientation and coordinate space. [Default: NONE]

--target-image <string>
    Set target image of the transformation (i.e., the image that the transformation maps points TO) to correct for differences in orientation and coordinate space. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.